SendInvites
Note
End of support notice: On June 30, 2027, AWS will end support for AWS re:Post Private. After June 30, 2027, you will no longer be able to access the re:Post Private console or re:Post Private resources. For more information, see AWS re:Post Private end of support.
Sends an invitation email to selected users and groups.
Request Syntax
POST /spaces/spaceId/invite HTTP/1.1
Content-type: application/json
{
"accessorIds": [ "string" ],
"body": "string",
"title": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- spaceId
-
The ID of the private re:Post.
Required: Yes
Request Body
The request accepts the following data in JSON format.
- accessorIds
-
The array of identifiers for the users and groups.
Type: Array of strings
Array Members: Minimum number of 0 items. Maximum number of 1000 items.
Required: Yes
- body
-
The body of the invite.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 600.
Required: Yes
- title
-
The title of the invite.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 200.
Required: Yes
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
User does not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
Unexpected error during processing of request.
- retryAfterSeconds
-
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500
- ResourceNotFoundException
-
Request references a resource which does not exist.
- resourceId
-
The ID of the resource.
- resourceType
-
The type of the resource.
HTTP Status Code: 404
- ThrottlingException
-
Request was denied due to request throttling.
- quotaCode
-
The code to identify the quota.
- retryAfterSeconds
-
Advice to clients on when the call can be safely retried.
- serviceCode
-
The code to identify the service.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
- fieldList
-
The field that caused the error, if applicable.
- reason
-
The reason why the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: